"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function fixExportsInReferencingFiles(node, destFile, project) {
    project.getSourceFiles()
        .forEach(f => {
        f.getExportDeclarations()
            .filter(i => i.getModuleSpecifierSourceFile() === node.getSourceFile())
            .forEach(i => {
            const ne = i.getNamedExports().find(ne => ne.getName() === node.getName());
            if (ne) {
                ne.remove();
            }
            const isLibrary = !i.getModuleSpecifierSourceFile() || !i.getModuleSpecifierValue().trim().startsWith('.');
            const moduleSpecifier = isLibrary ? i.getModuleSpecifierValue() : i.getModuleSpecifierSourceFile().getRelativePathAsModuleSpecifierTo(destFile);
            f.addExportDeclaration(Object.assign({}, i.getStructure(), { moduleSpecifier, namedExports: [{ name: node.getName() }] }));
        });
    });
}
exports.fixExportsInReferencingFiles = fixExportsInReferencingFiles;
//# sourceMappingURL=file.js.map